Webhooks

Get webhook

GET/applications/{application_id}/webhooks/{webhook_id}

Authorization

bearerAuth
AuthorizationBearer <token>

API key. Bearer authentication header of the form Bearer <token>, where <token> is your Workspace or Application API key.

In: header

Path Parameters

application_id*string

Application ID.

webhook_id*string

Webhook ID (UUID).

Response Body

application/json

application/json

application/json

curl -X GET "https://example.comapplications/aBc1234/webhooks/550e8400-e29b-41d4-a716-446655440000" \  -H "Authorization: Bearer YOUR_API_KEY"
{  "message": "Webhook retrieved successfully.",  "data": {    "id": "550e8400-e29b-41d4-a716-446655440000",    "description": "Notify CI on new builds",    "url": "https://example.com/webhooks/buildstash",    "event": "build.created",    "secret_configured": true,    "format": "json",    "level": "application",    "is_active": true,    "in_error_state": false,    "last_successful_request_at": "2025-06-15T14:30:00.000000Z",    "last_failed_request_at": null,    "event_subscription": {      "event": "build.created",      "stream": {        "id": "stR4567",        "name": "nightlies"      },      "label": {        "id": "lbl1234",        "name": "Production",        "color": "#22c55e"      }    },    "application_id": "aBc1234",    "workspace_id": "wSp1234",    "created_at": "2025-06-10T09:15:00.000000Z",    "updated_at": "2025-06-15T14:30:00.000000Z",    "latest_webhook_request": {      "id": "550e8400-e29b-41d4-a716-446655440011",      "event": "build.created",      "url": "https://example.com/webhooks/buildstash",      "duration": 0.342,      "request_headers": {        "content-type": "application/json",        "user-agent": "Buildstash-Webhooks/1.0"      },      "request_payload": {        "id": "019b0000-0000-7000-8000-000000000001",        "event": "build.created",        "created": 1718452200,        "data": {          "build": {            "id": "xYz9876"          }        }      },      "response_code": 200,      "response_headers": {        "content-type": "application/json",        "date": "Sat, 15 Jun 2025 14:30:00 GMT"      },      "response_payload": "{\"ok\":true}",      "delivery_attempts": 1,      "created_at": "2025-06-15T14:30:00.000000Z"    }  }}
{  "message": "Unauthorized"}
{  "message": "This action requires 'resource:action' scope."}